# class statement

Structure the statement is parsed into. More...

Full name | `toSQLParse::statement`
Definition | `#include <tosqlparse.h>`
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum type { Block, /** Start of statement. }

#### Public Methods

- statement (type ntype=Token,const QString &token=QString::null,int cline=-1)
- std::list<statement> & subTokens ()
- statement (const statement &)
- const statement & operator = (const statement &)
- bool operator == (const statement &) const
- bool operator != (const statement &stat) const
- ~statement ()

#### Public Members

- QString Comment
- QString String
- int Line

## Detailed Description

Structure the statement is parsed into.

enum type { Block, /** Start of statement. }

### type

Start of block.

QString Comment

### Comment

QString String

### String

int Line

### Line

statement (type ntype=Token,const QString &token=QString::null,int cline=-1)

### statement

Create statement

std::list<statement> & subTokens ()

### subTokens

Allocate subtokens if not available and return reference to subtokens

statement (const statement &)

### statement

Copy constructor

const statement & operator = (const statement &)

### operator =

Copy operator

bool operator == (const statement &)

### operator ==

[const]

Equality operator. Does not include the line for comparison.

bool operator != (const statement &stat)

### operator !=

[const]

Non rquality operator. Does not include the line for comparison.

~statement ()

### ~statement

Destroy statement

Generated by: nneul on skyhawk on Wed Feb 23 19:49:58 2005, using kdoc 2.0a54.